FLANG

Public Member Functions | Static Public Member Functions | Friends | List of all members
Fortran::semantics::ParamValue Class Reference

## Public Member Functions
| ParamValue (const ParamValue &)=default
| ParamValue (MaybeIntExpr &&, common::TypeParamAttr)
| ParamValue (SomeIntExpr &&, common::TypeParamAttr attr)
| ParamValue (common::ConstantSubscript, common::TypeParamAttr attr)
bool | isExplicit () const
bool | isAssumed () const
bool | isDeferred () const
const MaybeIntExpr & | GetExplicit () const
void | SetExplicit (SomeIntExpr &&)
bool | isKind () const
bool | isLen () const
void | set_attr (common::TypeParamAttr attr)
bool | operator== (const ParamValue &that) const
std::string | AsFortran () const

## Static Public Member Functions
static ParamValue | Assumed (common::TypeParamAttr attr)
static ParamValue | Deferred (common::TypeParamAttr attr)

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const ParamValue &)

The documentation for this class was generated from the following files:

- include/flang/Semantics/type.h
- lib/Semantics/type.cpp